Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class MaintenanceMessage

    java.lang.Object
      rice.p2p.scribe.messaging.ScribeMessage
          rice.p2p.scribe.messaging.MaintenanceMessage

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage

    public class MaintenanceMessage

extends ScribeMessage

Version:
  $Id: MaintenanceMessage.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.p2p.scribe.messaging.ScribeMessage
`source, topic`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`MaintenanceMessage()` Constructor

Method Summary
`short` | `getType()` Raw Serialization
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class rice.p2p.scribe.messaging.ScribeMessage
`getPriority, getSource, getTopic, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### MaintenanceMessage

    public MaintenanceMessage()

  Constructor

  Parameters:
    `id` - The unique id
    `source` - The source address
    `dest` - The destination address

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `ScribeMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.